cURL
curl --request GET \
--url https://us.infisical.com/api/v1/app-connectionsimport requests
url = "https://us.infisical.com/api/v1/app-connections"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://us.infisical.com/api/v1/app-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appConnections": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"app": "aws",
"method": "assume-role",
"credentials": {
"stsEndpoint": "<string>"
},
"description": "<string>",
"version": 1,
"isPlatformManagedCredentials": false,
"gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>",
"isAutoRotationEnabled": false,
"gatewayPoolId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rotation": {
"rotationInterval": 123,
"rotationStatus": "success",
"rotateAtUtc": {
"hours": 123,
"minutes": 123
},
"lastRotationMessage": "<string>",
"nextRotationAt": "2023-11-07T05:31:56Z"
},
"credentialsHash": "<string>",
"project": {
"name": "<string>",
"id": "<string>",
"type": "<string>",
"slug": "<string>"
}
}
]
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}App Connections
List
List all the App Connections for the current organization or project.
GET
/
api
/
v1
/
app-connections
cURL
Query Parameters
The ID of the project to list App Connections from.
Response
Default Response
appConnections
(AWS (Assume Role) · object | AWS (Access Key) · object | GitHub (GitHub App) · object | GitHub (OAuth) · object | GitHub (Personal Access Token) · object | GitHub Radar (GitHub App) · object | GCP (Service Account Impersonation) · object | Azure Key Vault (OAuth) · object | Azure Key Vault (Client Secret) · object | Azure Key Vault (Certificate) · object | Azure App Configuration (OAuth) · object | Azure App Configuration (Client Secret) · object | Azure DevOps (OAuth) · object | Azure DevOps (Access Token) · object | Azure DevOps (Client Secret) · object | Databricks (Service Principal) · object | Humanitec (API Token) · object | Terraform Cloud (API Token) · object | Vercel (API Token) · object | PostgreSQL (Username and Password) · object | Microsoft SQL Server (Username and Password) · object | MySQL (Username and Password) · object | Camunda (Client Credentials) · object | Auth0 (Client Credentials) · object | Hashicorp Vault (Access Token) · object | Hashicorp Vault (App Role) · object | Azure Client Secrets (OAuth) · object | Azure Client Secrets (Client Secret) · object | Azure Client Secrets (Certificate) · object | Windmill (Access Token) · object | LDAP (Simple Bind) · object | TeamCity (Access Token) · object | OCI (Access Key) · object | OracleDB (Username and Password) · object | 1Password (API Token) · object | Heroku (Auth Token) · object | Heroku (OAuth) · object | Render (API Key) · object | Fly.io (Access Token) · object | GitLab (Access Token) · object | GitLab (OAuth) · object | Cloudflare (API Token) · object | Bitbucket (API Token) · object | Zabbix (API Token) · object | Railway (Access Token) · object | Checkly (Access Token) · object | CircleCI (Personal Access Token) · object | Supabase (Access Token) · object | DigitalOcean App Platform (Access Token) · object | Netlify (Access Token) · object | Northflank (API Token) · object | Okta (API Token) · object | Azure ADCS (Username and Password) · object | Redis (Username and Password) · object | object | Laravel Forge (API Token) · object | Chef (User Key) · object | DNS Made Easy (API Key) · object | Azure DNS (Client Secret) · object | Octopus Deploy (API Key) · object | SMB · object | SSH (Password) · object | SSH (SSH Key) · object | DBT (API Token) · object | OpenRouter (API Key) · object | Anthropic (API Key) · object | Devin (API Key) · object | Azure Entra ID (Client Secret) · object | Venafi TLS Protect Cloud (API Key) · object | Venafi TPP (OAuth) · object | Infisical (Machine Identity - Universal Auth) · object | NetScaler (Basic Auth) · object | Doppler (API Token) · object | OVH (Certificate) · object | Ona (Personal Access Token) · object | DigiCert (API Key) · object | GoDaddy (API Key) · object | Travis CI (API Token) · object | Salesforce (Client Credentials) · object | Snowflake (Username and Token) · object | Datadog (API Key) · object | F5 BIG-IP (Basic Auth) · object | Convex (Personal Access Token) · object)[]
required
- AWS (Assume Role)
- AWS (Access Key)
- GitHub (GitHub App)
- GitHub (OAuth)
- GitHub (Personal Access Token)
- GitHub Radar (GitHub App)
- GCP (Service Account Impersonation)
- Azure Key Vault (OAuth)
- Azure Key Vault (Client Secret)
- Azure Key Vault (Certificate)
- Azure App Configuration (OAuth)
- Azure App Configuration (Client Secret)
- Azure DevOps (OAuth)
- Azure DevOps (Access Token)
- Azure DevOps (Client Secret)
- Databricks (Service Principal)
- Humanitec (API Token)
- Terraform Cloud (API Token)
- Vercel (API Token)
- PostgreSQL (Username and Password)
- Microsoft SQL Server (Username and Password)
- MySQL (Username and Password)
- Camunda (Client Credentials)
- Auth0 (Client Credentials)
- Hashicorp Vault (Access Token)
- Hashicorp Vault (App Role)
- Azure Client Secrets (OAuth)
- Azure Client Secrets (Client Secret)
- Azure Client Secrets (Certificate)
- Windmill (Access Token)
- LDAP (Simple Bind)
- TeamCity (Access Token)
- OCI (Access Key)
- OracleDB (Username and Password)
- 1Password (API Token)
- Heroku (Auth Token)
- Heroku (OAuth)
- Render (API Key)
- Fly.io (Access Token)
- GitLab (Access Token)
- GitLab (OAuth)
- Cloudflare (API Token)
- Bitbucket (API Token)
- Zabbix (API Token)
- Railway (Access Token)
- Checkly (Access Token)
- CircleCI (Personal Access Token)
- Supabase (Access Token)
- DigitalOcean App Platform (Access Token)
- Netlify (Access Token)
- Northflank (API Token)
- Okta (API Token)
- Azure ADCS (Username and Password)
- Redis (Username and Password)
- Option 55
- Laravel Forge (API Token)
- Chef (User Key)
- DNS Made Easy (API Key)
- Azure DNS (Client Secret)
- Octopus Deploy (API Key)
- SMB
- SSH (Password)
- SSH (SSH Key)
- DBT (API Token)
- OpenRouter (API Key)
- Anthropic (API Key)
- Devin (API Key)
- Azure Entra ID (Client Secret)
- Venafi TLS Protect Cloud (API Key)
- Venafi TPP (OAuth)
- Infisical (Machine Identity - Universal Auth)
- NetScaler (Basic Auth)
- Doppler (API Token)
- OVH (Certificate)
- Ona (Personal Access Token)
- DigiCert (API Key)
- GoDaddy (API Key)
- Travis CI (API Token)
- Salesforce (Client Credentials)
- Snowflake (Username and Token)
- Datadog (API Key)
- F5 BIG-IP (Basic Auth)
- Convex (Personal Access Token)
Show child attributes
Show child attributes
Was this page helpful?